body {
  background-color: #fff;
  zoom: 80%;
}

.jumbotron {
  /* background-image: url(../img/bg.jpg);
  background-size: cover;
  /* background-color: #444; */
  color: #fff; 
  padding: 25px;
}

/* #mainmenu {
  background: url(../img/bg1.jpg) no-repeat center center;
  background-size: cover;
  box-shadow: 0px 1px 2px #aaa;

} */

#mainmenu .dropdown-menu a{
  color: #000;
}

#mainmenu a {
  color: aliceblue;
}

#mainmenu a[role="button"] {
  color: aliceblue;
}


.bg-gradient-1{ 
  background: #05374b;
  background: -webkit-linear-gradient(legacy-direction(to left), #2980b9 0%, #05374b 180%);
  background: -webkit-gradient(linear, right top, left top, from(#2980b9), to(#05374b));
  background: -webkit-linear-gradient(right, #2980b9 0%, #05374b 100%);
  background: -o-linear-gradient(right, #2980b9 0%, #05374b 100%);
  background: linear-gradient(to left, #2980b9 0%, #05374b 100%);
  border-color: #2980b9;
}
.modal-backdrop
 {
   height: 100% !important;
   width: 100% !important;
 }
.container {
  min-height: 375px;
}

.card h2 {
  font-size: 3.5em;
}

.card-header {
  font-weight: bold;
}

/*table {*/
/*  width: 100%;*/
/*}*/

/*td {*/
/*  vertical-align: top;*/
/*}*/

/*.table-striped > tbody > tr:nth-child(2n+1) > td, .table-striped > tbody > tr:nth-child(2n+1) > th {*/
/*  background-color: #fafafa;*/
/*}*/



/*.bg-info td {*/
/*  color: white;*/
/*  font-weight: bold;*/
/*}*/

.card-body a {
  display: block;
}

.results a {
  font-size: 0.7em;
}

.pointer {
  cursor: pointer;
}

.bg-form {
  padding: 20px;
  background-color: #fafaff;
}

/*.form-control {*/
/*  !* margin: 4px 0px; *!*/
/*  font-weight: 500;*/
/*  !* font-size: 1.1em; *!*/
/*  color: rgb(10, 10, 80);*/
/*  !* border: 1px solid #cdcdcd; *!*/
/*}*/

/*label {*/
/*  margin-top: .5rem;*/
/*  margin-bottom: 0;*/
/*}*/

/*.form-control:disabled {*/
/*  background-color: inherit !important;*/
/*  border: none;*/
/*}*/

a:hover {
  text-decoration: none;
}

/*input:read-only {*/
/*  background-color: transparent !important;*/
/*  border: none;*/
/*}*/


.orderparts {
  margin-top: 22px;
  /* margin-bottom: auto; */
}


#datagrid tr {cursor: pointer}
/* table.table {width: 100%;} */


.tab-content {
  /* background: #fdfdfd; */
  line-height: 25px;
  /* border: 1px solid #ddd; */
  /* border-top: 5px solid #e74c3c;
  border-bottom: 5px solid #e74c3c; */
  padding: 12px;
}

.nowrap {
  white-space: nowrap;
}

span.amount {
  text-align: right;
  float: left;
  margin-right: 5px;
}

span.amount::before {
  color: #aaa;
  font-size: .8em;
  margin-right: 10px;
  content: attr(data-currency);
}

#unitsReportTable > tbody > tr > td.Description {
  white-space: nowrap;
}

  .table-responsive{
      width: 100%;
  }

.mw-90 {
  min-width: 90px !important;
}

.thumbnail {
  max-width: 64px;
  max-height: 64px;  
}


.dataTables_scrollHead {
  height: 36px;
}

/*table.table-hover tr:hover {*/
/*  background-color: #dfdfff;*/
/*}*/

/* Table As Card */

table.cards {
  background-color: transparent;
  /* width: 500px !important; */
}

/*--[  This does the job of making the table rows appear as cards ]----------------*/
.cards tbody {
  display: flex;
  flex-wrap: wrap;
}

.cards tbody img {
  height: 100px;
}
.cards tbody tr {
  float: left;
  margin-right: 10px;
  margin-top: 10px;
  margin-bottom: 5px;
  border: 1px solid #eee;
  border-radius: 15px;
  box-shadow: 0px 0px 9px rgba(0,0,0,0.05);
  background-color: #ffffee;
  cursor: pointer;
  padding: 0px 10px;
}
.cards tbody td {
  display: block;
  width: 250px;
  overflow: hidden;
  text-align: center;
  padding: 3px 0px !important;

}

/*---[ The remaining is just more dressing to fit my preferances ]-----------------*/
.table {
  background-color: #fff;
}
.table tbody label {
  display: none;
  margin-right: 5px;
  width: 50px;
}
.table .glyphicon {
  font-size: 20px;
}

.cards .glyphicon {
  font-size: 75px;
}

.cards tbody label {
  display: inline;
  position: relative;
  font-size: 75%;
  font-weight: normal;
  top: -5px;
  /* left: -3px; */
  float: left;
  text-align: left;
  margin-left: 10px;
  white-space: nowrap;
  color: #808080;
}
.cards tbody td:nth-child(1) {
  text-align: center;
}

.currency {
  font-weight: bold;
  font-size: .8em;
  font-style: normal;
}

.modal-dialog-fs {
  width: 100% !important;
  height: 100% !important;
  margin: 0;
  padding: 0;
  min-width: 100%;
}

.modal-content-fs {
  width: 100vh !important;
  height: 100% !important;
  overflow: scroll;
  min-height: 100%;
  min-width: 100%;
  border-radius: 0;
}

ul.timeline {
  list-style-type: none;
  position: relative;
}
ul.timeline:before {
  content: ' ';
  background: #d4d9df;
  display: inline-block;
  position: absolute;
  left: 29px;
  width: 2px;
  height: 100%;
  z-index: 400;
}
ul.timeline > li {
  margin: 20px 0;
  padding-left: 20px;
  clear: both;
}
ul.timeline > li:before {
  content: ' ';
  background: white;
  display: inline-block;
  position: absolute;
  border-radius: 50%;
  border: 3px solid #22c0e8;
  left: 20px;
  width: 20px;
  height: 20px;
  z-index: 400;
}

ul.timeline li img {
  float: left;
  border-radius: 5%;
  width: 80px;
  margin-right: 20px;
}

table#unit_info th, table#financials th {text-align: right;} 
table#notes tbody td:nth-child(1) {white-space: nowrap;}

div.unit_info_wrapper {
  break-inside: avoid;
}

.text-80 {
  font-size: .8em;
}

@media print {

  .no-print {
    display: none;
  }
}

/* Homepage Carousel */
@media (min-width: 768px) {

  /* show 3 items */
  .carousel-inner .active,
  .carousel-inner .active + .carousel-item,
  .carousel-inner .active + .carousel-item + .carousel-item {
      display: block;
  }
  
  .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left),
  .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item,
  .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item {
      transition: none;
  }
  
  .carousel-inner .carousel-item-next,
  .carousel-inner .carousel-item-prev {
    /* position: relative; */
    transform: translate3d(0, 0, 0);
    top: 50% !important;
  }
  
  .carousel-inner .active.carousel-item + .carousel-item + .carousel-item + .carousel-item {
      position: absolute;
      top: 0;
      right: -33.3333%;
      z-index: -1;
      display: block;
      visibility: visible;
  }
  
  /* left or forward direction */
  .active.carousel-item-left + .carousel-item-next.carousel-item-left,
  .carousel-item-next.carousel-item-left + .carousel-item,
  .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item,
  .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item {
      position: relative;
      transform: translate3d(-100%, 0, 0);
      visibility: visible;
  }
  
  /* farthest right hidden item must be abso position for animations */
  .carousel-inner .carousel-item-prev.carousel-item-right {
      position: absolute;
      top: 0;
      left: 0;
      z-index: -1;
      display: block;
      visibility: visible;
  }
  
  /* right or prev direction */
  .active.carousel-item-right + .carousel-item-prev.carousel-item-right,
  .carousel-item-prev.carousel-item-right + .carousel-item,
  .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item,
  .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item {
      position: relative;
      transform: translate3d(100%, 0, 0);
      visibility: visible;
      display: block;
      visibility: visible;
  }

}